Debian Bug report logs - #442363
ITP: php-db-dataobject -- SQL Builder, Object Interface to

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yann Rouillard <yann@pleiades.fr.eu.org>

Date: Sat, 15 Sep 2007 13:24:01 UTC

Owned by: cyb@debian.org

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>:
Bug#442363; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Rouillard <yann@pleiades.fr.eu.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Rouillard <yann@pleiades.fr.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: php-db-dataobject -- SQL Builder, Object Interface to Database Tables
Date: Sat, 15 Sep 2007 15:16:58 +0200
Package: wnpp
Severity: wishlist
Owner: Yann Rouillard <yann@pleiades.fr.eu.org>


* Package name    : php-db-dataobject
  Version         : 1.8.7
* URL             : http://pear.php.net/package/DB_DataObject
* License         : PHP
  Programming Lang: Php
  Description     : SQL Builder, Object Interface to Database Tables

 DataObject performs 2 tasks:
   1. Builds SQL statements based on the objects vars and the builder 
 methods.
   2. acts as a datastore for a table row.
   The core class is designed to be extended for each of your tables 
 so that you put the
   data logic inside the data classes.
   included is a Generator to make your configuration files and your 
 base classes.

  Homepage: http://pear.php.net/package/DB_DataObject

 
I intend to package this software for Debian.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>:
Bug#442363; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stephanie Layton <stephanielayton@mac.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>. Full text and rfc822 format available.

Message #10 received at 442363@bugs.debian.org (full text, mbox):

From: Stephanie Layton <stephanielayton@mac.com>
To: 442363@bugs.debian.org
Subject: Requesting status update info for this ITP
Date: Thu, 29 May 2008 04:13:20 -0700
Hi Yann,

Recently my current work is targeting a number of PEAR packages for Debian packaging.  This (among others) is part of that effort.  I  am contacting with a request latest information, plans and progress of this packaging effort. The partial list of PEAR packages that I am looking at and that intersect with your ITP bug report entries is given below. 

Previously, I attempted to contact you via your email address listed on these bug reports on the 22 of May (2008).  Never certain what kind of email filters others run, I am trying again through each Debian bug report entry. 

Any information you can share would be great and I look forward to hearing your news soon.

Thanks,
Stephanie L.  


Other ITP'ed PEAR packages of interest: 

HTML_Table   
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442360                  
    
DB_DataObject    (This ITP)     
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442363
            
DB_DataObject_FormBuilder  
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442364  
                            
XML_RPC  
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442351

HTML_QuickForm
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442361


  




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>:
Bug#442363; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Watkins <daniel@daniel-watkins.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>. Full text and rfc822 format available.

Message #15 received at 442363@bugs.debian.org (full text, mbox):

From: Daniel Watkins <daniel@daniel-watkins.co.uk>
To: Yann Rouillard <yann@pleiades.fr.eu.org>, Stephanie Layton <stephanielayton@mac.com>
Cc: 442363@bugs.debian.org
Subject: Re: ITP: php-db-dataobject -- SQL Builder, Object Interface to Database Tables
Date: Mon, 4 Aug 2008 07:18:50 +0100
[Message part 1 (text/plain, inline)]
Hello Yann, Stephanie,

I have recently filed an ITP for laconica[0] which depends on
php-db-dataobject.  I was wondering if you could let me know the status
of your respective work on packaging this?  If neither of you is
currently working on it, then I would be happy to assume responsibility
for this ITP from you.


Regards,

Daniel Watkins

[Footnote 0: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=491723]

-- 
Daniel Watkins (Odd_Bloke)
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>:
Bug#442363; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stephanie Layton <stephanielayton@mac.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>. Full text and rfc822 format available.

Message #20 received at 442363@bugs.debian.org (full text, mbox):

From: Stephanie Layton <stephanielayton@mac.com>
To: Daniel Watkins <daniel@daniel-watkins.co.uk>
Cc: Yann Rouillard <yann@pleiades.fr.eu.org>, 442363@bugs.debian.org
Subject: Re: ITP: php-db-dataobject -- SQL Builder, Object Interface to Database Tables
Date: Mon, 04 Aug 2008 09:27:29 -0400
Hi Daniel, 

Thanks for the note.  Yann and I are working on co-maintaining these packages as a late May/June.  A few constraints still has us in the midst of getting ourselves fully set-up on Alioth in the pkg-php development area. We will be co-maintaining these packages from there.  There are plans to upload this package and a handful of others to Alioth in the very near future.  Not trying to be vague, but I am also waiting on some information....

Let me know if you want/need more info and we will go from there.

Stephanie
  


 
On Monday, August 04, 2008, at 02:20AM, "Daniel Watkins" <daniel@daniel-watkins.co.uk> wrote:
>Hello Yann, Stephanie,
>
>I have recently filed an ITP for laconica[0] which depends on
>php-db-dataobject.  I was wondering if you could let me know the status
>of your respective work on packaging this?  If neither of you is
>currently working on it, then I would be happy to assume responsibility
>for this ITP from you.
>
>
>Regards,
>
>Daniel Watkins
>
>[Footnote 0: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=491723]
>
>-- 
>Daniel Watkins (Odd_Bloke)
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>:
Bug#442363; Package wnpp. (Wed, 12 Aug 2009 15:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Holbach <daniel.holbach@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>. (Wed, 12 Aug 2009 15:12:09 GMT) Full text and rfc822 format available.

Message #25 received at 442363@bugs.debian.org (full text, mbox):

From: Daniel Holbach <daniel.holbach@ubuntu.com>
To: 442363@bugs.debian.org
Cc: Stephanie Layton <stephanielayton@mac.com>, Daniel Watkins <daniel@daniel-watkins.co.uk>, Yann Rouillard <yann@pleiades.fr.eu.org>, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Subject: Subject: Re: ITP: php-db-dataobject -- SQL Builder, Object Interface to, Database Tables
Date: Wed, 12 Aug 2009 17:07:41 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

just wanted to let you know that the Ubuntu NGO team started working on
packaging CiviCRM and completed the packaging of php-db-dataobject.
https://wiki.ubuntu.com/NGO/ApplicationPackaging has more information
about the effort.

Source package available at https://launchpad.net/~ubuntu-ngo/+archive/ppa

https://launchpad.net/~ubuntu-ngo/+archive/ppa/+files/php-db-dataobject_1.8.12-0ubuntu1~ppa1.dsc

I got in touch with the PHP DB DataObject upstream developers because a
few files were licensed under PHP 3.0, but that's resolved in version
1.8.12 now - it's all PHP 3.01, so it should be ready to go.

I'm CCing the Debian PHP Maintainers and hope they are interested in the
package too.

Have a great day - I hope it is useful to you and can be included in
Debian as well.
 Daniel
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkqC2r0ACgkQRjrlnQWd1etSNgCbBRybqkuttzHyYUbvkQTDOFEX
cd4AmwSb1+M6Lf+Bgs5g9YsoH7emnwvP
=f0LC
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>:
Bug#442363; Package wnpp. (Thu, 13 Aug 2009 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephanie Layton <stephanielayton@mac.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, yann rouillard <yann@pleiades.fr.eu.org>. (Thu, 13 Aug 2009 13:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 442363@bugs.debian.org (full text, mbox):

From: Stephanie Layton <stephanielayton@mac.com>
To: 442363@bugs.debian.org
Subject: Package is complete, currently available via email, next steps...
Date: Thu, 13 Aug 2009 08:58:29 -0400
Current notes on this package:

An updated NMU package of the latest and greatest is complete.

It is currently in process of being uploaded to ALIOTH public  
repository.  Post peer review/inspection it will be determined if it  
remains at ALIOTH or heads into getting into Debian packages list  
itself.  (Some of the PHP packages have licensing, etc.).

If you would like access to these packages please feel free to email.   
More information will be forthcoming as uploads to public repository  
and other progress. In the mean time, for access to NMU latest and  
greatest please email stephanielayton AT mac DOT com  Thank you.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, yann rouillard <yann@pleiades.fr.eu.org>:
Bug#442363; Package wnpp. (Sat, 19 Feb 2011 17:44:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, yann rouillard <yann@pleiades.fr.eu.org>. (Sat, 19 Feb 2011 17:44:37 GMT) Full text and rfc822 format available.

Message #35 received at 442363@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 442363@bugs.debian.org
Cc: control@bugs.debian.org
Subject: php-db-dataobject: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:01:09 +0000
retitle 442363 RFP: php-db-dataobject --  SQL Builder, Object Interface to Database Tables
noowner 442363
thanks

Hi,

This is an automatic email to change the status of php-db-dataobject back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting php-db-dataobject, please send a mail to
<control@bugs.debian.org> with:

 retitle 442363 ITP: php-db-dataobject --  SQL Builder, Object Interface to Database Tables
 owner 442363 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <442363@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: php-db-dataobject -- SQL Builder, Object Interface to Database Tables' from 'ITP: php-db-dataobject -- SQL Builder, Object Interface to Database Tables' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:54:00 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by yann rouillard <yann@pleiades.fr.eu.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:54:01 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: php-db-dataobject -- SQL Builder, Object Interface to' from 'RFP: php-db-dataobject -- SQL Builder, Object Interface to Database Tables' Request was from Cyril Bouthors <cyb@debian.org> to control@bugs.debian.org. (Thu, 01 Aug 2013 15:09:07 GMT) Full text and rfc822 format available.

Owner recorded as cyb@debian.org. Request was from Cyril Bouthors <cyb@debian.org> to control@bugs.debian.org. (Thu, 01 Aug 2013 15:09:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 01 Aug 2013 20:06:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:48:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.